#
# spec file for package yast2-ca-management
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-ca-management
Version:        3.2.0
Release:        3.4

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  perl-Date-Calc
BuildRequires:  perl-URI
BuildRequires:  perl-X500-DN
BuildRequires:  perl-XML-Writer
BuildRequires:  perl-camgm
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-core
BuildRequires:  yast2-devtools >= 3.1.10
Requires:       perl
Requires:       perl-Config-IniFiles
Requires:       perl-Date-Calc
Requires:       perl-URI
Requires:       perl-X500-DN
Requires:       perl-camgm
Requires:       perl-gettext
# for default TLD definition:
Requires:       yast2 >= 3.1.134
Requires:       yast2-perl-bindings
BuildArch:      noarch
Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - CAs, Certificates and Requests Management
License:        GPL-2.0
Group:          System/YaST

%description
Managing CAs, Certificates and Requests in an understanding way.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/ca-management
%dir %{yast_moduledir}/YaPI
%dir %{yast_moduledir}/YaST
%{yast_yncludedir}/ca-management/*
%{yast_clientdir}/ca-mgm.rb
%{yast_clientdir}/ca_mgm.rb
%{yast_clientdir}/ca_mgm_proposal.rb
%{yast_clientdir}/ca_select_proposal.rb
%{yast_clientdir}/common-cert.rb
%{yast_clientdir}/common_cert.rb
%{yast_clientdir}/ca_mgm_auto.rb
%{yast_moduledir}/CaMgm.rb
%{yast_moduledir}/YaPI/CaManagement.pm
%{yast_moduledir}/YaST/caUtils.pm
%{yast_desktopdir}/ca_mgm.desktop
%{yast_desktopdir}/common_cert.desktop
%{yast_schemadir}/autoyast/rnc/ca_mgm.rnc
%doc %{yast_docdir}
/usr/bin/generateCRL.pl
/usr/bin/exportCRL.pl
%attr(600, root, root) %config(noreplace) /etc/generateCRL.conf

%changelog
* Fri Jan 20 2017 lslezak@suse.cz
- Removed some obsolete BuildRequires (doxygen, etc... are not
  needed after disabling the autodocs generation) (fate#320356)
- 3.2.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- Version 3.1.9
* Thu Jan 21 2016 schubi@suse.de
- AutoYaST: Reporting timeout errors only. (bnc#962328)
- version 3.1.8
* Tue Jun 23 2015 cwh@suse.com
- bnc#922765
  - changed default TLD from .site to .suse
- version 3.1.7
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Sep 19 2014 mc@suse.de
- version 3.1.5
- the CA is now stored in /etc/pki/trust/anchors
  and we need to run update-ca-certificates (bnc#897441)
* Wed Jun  4 2014 mc@suse.de
- version 3.1.4
- mark text for translation (bnc#877701)
* Thu May 22 2014 mc@suse.de
- version 3.1.3
- mark text for translation (bnc#877951)
* Mon Apr 14 2014 mc@suse.de
- version 3.1.2
- add new signature algorithems SHA224RSA, SHA256RSA,
  SHA384RSA and SHA512RSA
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Jun 20 2013 jdsn@suse.de
- version 2.23.1
- fix creation of certificates via commandline (bnc#609449)
* Fri Jul 27 2012 mc@suse.de
- version 2.23.0
- remove usage of limal-ca-mgm and use new libcamgm instead
* Wed Apr 25 2012 mc@suse.de
- version 2.22.2
- Add details to hostname warning while exporting a
  common server certificate (bnc#756014)
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofed texts
* Wed Jan 11 2012 jdsn@suse.de
- mark missing string for translation (bnc#722462)
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Thu Nov 17 2011 mc@suse.de
- version 2.22.0
- fix missing import (bnc#730889)
* Thu Sep 29 2011 mc@suse.de
- version 2.21.8
- quote pathes used in target.bash (bnc#266220)
- implement export request (bnc#717224)
* Mon Sep 26 2011 visnov@suse.cz
- version 2.21.7
- fix dependency
* Mon Sep 26 2011 visnov@suse.cz
- version 2.21.6
- set dialog title, fix dialog icon name
* Mon Sep 19 2011 mc@suse.de
- version 2.21.5
- do not log passwords (bnc#492746)
* Mon Sep 19 2011 mc@suse.de
- version 2.21.4
- fixing syntax error(bnc#718845)
* Mon Sep 12 2011 mc@suse.de
- version 2.21.3
- fix typos in help texts (bnc#702668)
* Thu Sep  8 2011 mc@suse.de
- version 2.21.2
- check subject alt name when exporting as common server cert
  (bnc#716673)
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Tue Jun 14 2011 jreidinger@suse.cz
- version 2.21.1
- country selection combobox is editable to allow choose of
  countries not listed there (FATE#310179)
- allow to change altarnative name in CA proposal (FATE#308423)
* Fri Apr 29 2011 mc@suse.de
- version 2.21.0
- improve bad password error message. (bnc#690558)
- mark message for translation (bnc#605481)
* Fri Mar 19 2010 mc@suse.de
- version 2.19.5
- fix parsing of IP addresses in certificates
* Mon Mar  1 2010 mc@suse.de
- version 2.19.4
- fix another potential issue while generating subjectAltName
  (bnc#582129)
* Tue Feb 23 2010 mc@suse.de
- version 2.19.3
- fix generation of subjectAltName (bnc#582129)
* Fri Jan 15 2010 mc@suse.de
- version 2.19.2
- add a hint to the help texts that more informations about
  CA Management are available in our manual. (fate#306589)
* Fri Jan 15 2010 mc@suse.de
- version 2.19.1
- add remove certificate function to common server certificate module
  (fate#306590)
- improve the help text.
* Thu Jan 14 2010 mc@suse.de
- version 2.19.0
- implement export certificate key to file (fate#305490)
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Fri Nov 13 2009 mc@suse.de
- fix close dialog while importing certificates (bnc#554677)
- translate long named EKUs to the short name (bnc#546154)
- write only global ip addresses into subjectAltName of the
  server certificate (bnc#556596)
- reduce proposal creation time in case of not configured
  DNS server (bnc#556596)
- fix delete CA (bnc#556908)
- ask for deleting the CA only one time (bnc#556906)
* Tue Sep 15 2009 mc@suse.de
- version 2.18.1
- fix repeated msgid (bnc#535805)
* Fri Jun 19 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Tue Jan 20 2009 mc@suse.de
- version 2.18.0
- fix description of input field (bnc#450394)
- fix help text (bnc#446065)
* Wed Jan  7 2009 mc@suse.de
- version 2.17.9
- use Hostname::CurrentFQ() as hostname fallback in proposal.
  (bnc#460737)
* Fri Dec 12 2008 mc@suse.de
- version 2.17.8
- fix closing common cert window via (X) in the window decoration
  (bnc#458326)
* Wed Dec  3 2008 jdsn@suse.de
- version 2.17.7
- fix untranslated text and spacing issue (bnc#446137)
* Tue Nov 25 2008 mc@suse.de
- version 2.17.6
- localize dates (bnc#448018)
* Thu Oct 16 2008 jdsn@suse.de
- version 2.17.5
- fix syntax error
- prevent hostname to become nil (bnc#428101)
* Wed Sep 24 2008 mc@suse.de
- version 2.17.4
- fix parsing of subexceptions
* Mon Sep 22 2008 mc@suse.de
- do not accept fqdn without a '.' (bnc#428101)
- setting fqdn to linux.site if we cannot get a hostname
  (bnc#428101)
* Wed Sep  3 2008 mc@suse.de
- version 2.17.3
- use internal getenv function
* Mon Aug 11 2008 mc@suse.de
- version 2.17.2
- apply patch for ldap agent changes
* Wed Jul  2 2008 mc@suse.de
- version 2.17.1
- provide a checkbox for using CA password as Certificate password
  (FATE#2612)
- implement change password (FATE#300161)
* Mon Jun 30 2008 mc@suse.de
- version 2.17.0
- ca_mgm_proposal:
    get all ip addresses of the system and try to resolve the
    hostname of them. Write IPs and Hostnames into
    SubjectAlternativeName if the Server Certificate.
    This hopefully make the created Certificate usable even
    if hostname --long returns the wrong hostname.
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Tue May 13 2008 mc@suse.de
- 2.16.7
- stretch password entries
- fix closing ca management window (bnc#179781)
* Fri Mar 28 2008 jdsn@suse.de
- integrated changes from proofreading
- 2.16.6
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Mon Feb 18 2008 jdsn@suse.de
- version 2.16.5
- merged exportCRL.pl support to trunk
* Mon Dec 17 2007 mc@suse.de
- version 2.16.4
- do not query not existing widgets [#348465]
* Tue Nov  6 2007 mc@suse.de
- version 2.16.3
- Ask for a password during import CA [#337524]
* Mon Oct 29 2007 mc@suse.de
- merge SP1 changes to trunk
  * detect existing default Root CA during installation (#238754)
- popup password dialog if root password cannot be read
* Mon Oct 29 2007 mc@suse.de
- version 2.16.2
- support cloning for autoyast
* Fri Oct 12 2007 mc@suse.de
- add email for subject_alt_name in special cases
- enhance filter list for browser window
* Wed Oct 10 2007 mc@suse.de
- version 2.16.1
- fix logging [#332002]
* Mon Oct  8 2007 mc@suse.de
- version 2.16.0
- fix addRequest call. [#326465]
- implement support for MS-UPN and Krb5PrincipalName in
  SubjectAlternativeName Extension
* Tue Aug 14 2007 jsuchome@suse.cz
- minimal support for command line interface (#300183)
- 2.15.2
* Mon Jul  9 2007 mc@suse.de
- update Version to 2.15.1
- fix always disabled Export Button [#231434]
* Wed Apr 25 2007 mc@suse.de
- update Version to 2.15.0
* Mon Mar 19 2007 jdsn@suse.de
- inserted rnc schema file reference into desktop file (#220816)
- 2.14.5
* Wed Mar 14 2007 jdsn@suse.de
- added ca_mgm autoyast rnc schema file (#220816)
- 2.14.4
* Thu Feb 15 2007 mc@suse.de
- use linux.site as fallback when the hostname command
  returns nothing [#245604]
* Fri Oct  6 2006 mc@suse.de
- version 2.14.3
- merge proofreading results
* Tue Sep 19 2006 mc@suse.de
- Better error message for invalid destinationFile(#205386)
* Fri Jul 21 2006 mc@suse.de
- Version 2.14.2
* Thu Jun 29 2006 mc@suse.de
- implement new exception handling(backward compatible)
- limal-ca-mgm requires caPasswd for all actions in a CA
* Mon Jun 19 2006 mc@suse.de
- fix unlocalized error messages [#182066]
- fix unlocalized Certificates Status [#182371]
* Thu Jun  1 2006 mc@suse.de
- fix unlocalised text when you edit the default values of a CA
  [#179787]
* Wed May 10 2006 mc@suse.de
- add AuthorityInfoAccess for CA and Certificates again
  [#137982]
* Mon May  8 2006 schubi@suse.de
- basicConstraints pathlen works in cerfificate defaults Bug 137984
- enlarged RichText widget in signRequest Bug 137983
- Removed AuthorityInfoAccess Bug 137982
* Thu May  4 2006 mc@suse.de
- version 2.13.22
- merge proofreaded text
* Wed May  3 2006 mc@suse.de
- version 2.13.21
- fix text for missing root password [#171413]
* Fri Apr 28 2006 varkoly@suse.de
- version 2.13.20
- fix checking string if it is nil befor spliting [#165820]
* Thu Mar 30 2006 mc@suse.de
- version 2.13.19
- fix misspelled funtions in ExportCRLToLDAP() [#162194]
* Mon Mar 20 2006 mc@suse.de
- version 2.13.18
- use timezone data to find country [#152414]
* Thu Mar  9 2006 mc@suse.de
- version 2.13.17
- fxing the parameter checking  [Bug #153300]
* Thu Mar  9 2006 mc@suse.de
- version 2.13.16
- merge proofread text
* Mon Mar  6 2006 mc@suse.de
- version 2.13.15
* Mon Mar  6 2006 varkoly@suse.de
- only if the settings were written sucessfully
  set CaMgm::prop_settingsWritten to true
- fxing the parameter checking  [Bug #153300]
* Mon Feb 20 2006 mc@suse.de
- replace yast2-devel-packages with more specific BuildRequires
- fix Summary string [Bug #150155]
* Thu Feb  9 2006 mc@suse.de
- Better error message when providing a wrong password
- add textdomain call to caUtils.pm
* Wed Feb  8 2006 mc@suse.de
- version 2.13.13
- LIMAL::CaMgm::StringList was renamed to LIMAL::StringList
  (part of fix for [#149073])
* Fri Feb  3 2006 mc@suse.de
- version 2.13.12
- common_cert.desktop:
  * remove last space in Name attribute to make our translation
    script happy [#136047]
- common_cert.desktop, ca_mgm.desktop:
  * remove german translation; will be re added from our
    translation process
* Fri Feb  3 2006 mc@suse.de
- version 2.13.11
- If resetting the CA the old CA will be deleted
* Fri Jan 27 2006 mc@suse.de
- version 2.13.10
- change the CA during installation
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 mc@suse.de
- version 2.13.9
- merge proofreaded texts
* Mon Jan 23 2006 mc@suse.de
- version 2.13.8
- add perl-URI to Requires:
- remove FileLogger initialization from CaManagement.pm
  YaST has direct support for limal logging framework
* Mon Jan 23 2006 mc@suse.de
- version 2.13.7
- use sprintf for splitted translation strings
- remove useless translation tag in _auto file
* Mon Jan 16 2006 varkoly@suse.de
- Fixing bug #64635
* Fri Jan 13 2006 mc@suse.de
- version 2.13.6
- limal-ca-mgm renamed a method
* Mon Jan  9 2006 visnov@suse.cz
- version 2.13.5
- remove useless Require import
* Wed Jan  4 2006 mc@suse.de
- version 2.13.4
- use new limal methods for SubjectAlternativeNameExt
- fix ReadCertificateDefaults: DN has to be a map<string,list>
- fix error popup; use plainText option instead of <pre>
* Mon Dec 19 2005 mc@suse.de
- 2.13.3
- use ByteBuffer as Object, no direct transformation
* Thu Dec 15 2005 mc@suse.de
- 2.13.2
- ignore Logger Exception when creating Logger as none root
* Mon Dec 12 2005 mc@suse.de
- 2.13.1
- fix root check in testcase
* Mon Dec 12 2005 mc@suse.de
- 2.13.0
- rewrite YaPI to use limal-ca-mgm
- remove unsued dependencies, agents and configfiles
* Mon Jul  4 2005 schubi@suse.de
- typo fixed Bug 79209
* Mon May 16 2005 jsrain@suse.cz
- renamed 'default' variable
- 2.12.0
* Wed Mar 30 2005 schubi@suse.de
- Bug 63125 - yast2-ca-mgm: hierarchical display of CAs would be
  appreciated
* Wed Mar 30 2005 schubi@suse.de
- Bug 62544 - CA Management: search for more then one eMailAddress
  in ReadLDAPExportDefaults
* Tue Mar 29 2005 schubi@suse.de
- Add autoyast functions
- Bug 73848 - ca-mgm: wrong text
- Bug 73846 - ca-mgm: "generate CRL" does not take care of the default
* Mon Mar 21 2005 mc@suse.de
- add "digitalSignature" extension to keyusage in server_v3 section
  [#73859]
- mark openssl.cnf.templ as %%config
* Tue Nov 30 2004 schubi@suse.de
- Fixes for new yast intepreter
* Thu Nov 25 2004 schubi@suse.de
- Bug 47672 - disable X509 extension subjectAltName and issuerAltName if these
* Thu Aug 19 2004 schubi@suse.de
- Checking for KDE session before starting kfiledialog
* Thu Aug 12 2004 schubi@suse.de
- translation flags added
* Tue Aug 10 2004 schubi@suse.de
- Removed wrong include files
* Tue Aug 10 2004 schubi@suse.de
- Bugfix in sign request ( missing description)
* Mon Aug  9 2004 schubi@suse.de
- Added signing requests and handling crl defaults
* Mon Jun 14 2004 mc@suse.de
- #41994; fix wrong CRL Distribution Point
* Mon Jun  7 2004 schubi@suse.de
- Bug 41533 - wrong suse logo in some yast2 modules
* Wed May 26 2004 schubi@suse.de
- integrated running testsuite
* Wed May 26 2004 schubi@suse.de
- Better layout in proposal
* Mon May 24 2004 mc@suse.de
- "-" as first or last character of caName if forbidden. (#40867)
* Mon May 24 2004 schubi@suse.de
- Bug 40839 - Installation - Service Configuration - Illogical workflow
* Wed May 19 2004 schubi@suse.de
- Bug 40862 - CA Management - Create Root CA - Wrong SetFocus
- Bug 40860 - CA Management - Create New CA - No ValidChars Defined
- Bug 40859 - CA Management - Creating New CA - Advanced Options
* Tue May 18 2004 mc@suse.de
- use LDAPInit to initilize the ldap connection. (#40366)
- fixed gettext handling (#40160)
* Fri May 14 2004 schubi@suse.de
- Bug 40521 - ca suggests to change root password
* Thu May 13 2004 schubi@suse.de
- manage use_tls in the right way (#37393)
- create base_config_dn with ldap-client (#40366)
* Tue May 11 2004 schubi@suse.de
- Bug 40061 - CA: no key work in ncurses UI
* Mon May 10 2004 schubi@suse.de
- add default_md=sha1 to req section. This is needed to create rootCAs
  also with sha1 hashing algorithm (#40119)
- New translation function: change _() to __() (#40160)
* Mon May 10 2004 schubi@suse.de
- sorting language selection box Bug #39928
- Bug 39930 fixed - CA settings dialog looks bad in ncurses
* Thu May  6 2004 schubi@suse.de
- Better description Bug#39966
- exporting common server certificate added
* Mon May  3 2004 schubi@suse.de
- Bufixes while writing default settings
- Bug #39360. Help text for password changed.
- Bug #39689. Headline changed.
- Bug #38751. Exporting CA/Certificate to local directory ( not tmp)
- exporting certificates disabled if it has been revoked
- do not export Sub CA in the certificate frame
- Using temporary path for mounting floppy
- Importing CA/Certificate from disk while installation
- Using /bin/hostname for evaluating the hostname and the domain
  name
* Fri Apr 30 2004 schubi@suse.de
- Icon changed
* Thu Apr 29 2004 schubi@suse.de
- Import CA/Certificate via floppy
- Bugfixing
- Proposal test
* Fri Apr 23 2004 schubi@suse.de
- finished proposal
- Import of common server certificate
- Moving CA repository to /var/lib/CAM
- Bugfixes
* Fri Apr 16 2004 mc@suse.de
- add proposal files to spec
* Fri Apr 16 2004 mc@suse.de
- remove Execute .status from ag_ca_tools; is now in ag_openssl
- first version of a proposal implemented
- basicconstraits accept none
- WriteCertificateDefaults() supports 'days' and 'keylength'
- At DeleteCertificate remove the certificate entry from cam.txt
- add "use_tls" to ldap init.
- some other smal bugfixes
* Fri Apr  2 2004 schubi@suse.de
- fist complete working version
* Thu Mar 25 2004 schubi@suse.de
- initial; CA Management module
